import { AppBar, Toolbar } from '@mui/material';
import { Box } from '@mui/system';
import { memo } from 'react';
import WeekCalendarHeaderInfo from './WeekCalendarHeaderInfo/WeekCalendarHeaderInfo';




function WeekCalendarHeader({ decrementWeek, incrementWeek, weekInfo, weekGoal, onChangeWeekGoalHandler}) {

  return (
    <>
      <Box sx={{ flexGrow: 1 }}>
        <AppBar position="static">
          <Toolbar>

            <WeekCalendarHeaderInfo
              decrementWeek={decrementWeek}
              incrementWeek={incrementWeek}
              weekInfo={weekInfo}
              weekGoal={weekGoal}
              onChangeWeekGoalHandler={onChangeWeekGoalHandler}
            />

          </Toolbar>
        </AppBar>
      </Box>
    </>
  );
}

export default memo(WeekCalendarHeader);