import ArrowDecrementButton from '../../../../UI/ArrowDecrementButton/ArrowDecrementButton';
import ArrowIncrementButton from '../../../../UI/ArrowIncrementButton/ArrowIncrementButton';
import { Box } from '@mui/system';
import { TextField, Typography } from '@mui/material';
import { memo, useCallback, useState } from 'react';
import FormElement from '../../../../UI/Form/FormElement/FormElement';



function WeekCalendarHeaderInfo({ decrementWeek, incrementWeek, weekInfo, weekGoal, onChangeWeekGoalHandler }) {
  const [goalEditCheck, setGoalEditCheck] = useState(false)
  const onClickGoalHandler = useCallback(() => {
    setGoalEditCheck(true)
  }, [])
  return (
    <>
      <Box sx={{ width: '40%', marginBottom: '15px' }}>
        <Box sx={{ display: 'flex', alignItems: 'center', gap: '10px' }}>
          {goalEditCheck ?
            <>
              <h2>
                Цель недели:
              </h2>
              <TextField
                id="week-gaol"
                value={weekGoal}
                variant="standard"
                sx={{ input: { color: 'white', fontSize: '20px', fontWeight: '600'}, marginTop: '8px'}}
                InputProps={{
                  disableUnderline: true,
                }}
                name='weekGoal'
                autoFocus
                onBlur={() => {setGoalEditCheck(false)}}
                onChange={(e) => { onChangeWeekGoalHandler(e) }}
              />
            </>
            : <h2 onClick={() => { onClickGoalHandler() }}>Цель недели: {weekGoal}</h2>
          }
        </Box>
        <Box sx={{ display: 'flex', alignItems: 'center' }}>
          <ArrowDecrementButton
            onClick={() => { decrementWeek() }}
          />
          <Typography
            variant="h6"
            sx={{
              flexBasis: '250px',
              display: 'flex',
              justifyContent: 'center',
            }}
          >
            {weekInfo}
          </Typography>
          <ArrowIncrementButton
            onClick={() => { incrementWeek() }}
          />
        </Box>
      </Box>
    </>
  );
}

export default memo(WeekCalendarHeaderInfo);